commit:     be26bd5d9274b93bf5f27b0dcf55dd4d63c91f3a
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 22 20:22:12 2026 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Jan 22 22:06:23 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be26bd5d

media-gfx/curtail: bump to 1.15.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest              |  1 +
 media-gfx/curtail/curtail-1.15.0.ebuild | 71 +++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 8526142ef098..1a63a0e2fc2d 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1,2 +1,3 @@
 DIST curtail-1.13.0.gh.tar.gz 234206 BLAKE2B 
e04a0e8898b6b135bc0816d518f04195b5396a7a9ada8dfc6c32ead0f8ca801d25f0e66f9a5333c52f75b79329bbbe7eff3f7166aaf7bb913f6c143c6913a203
 SHA512 
8888db889719d336992ee9e346fb9df6377736e2c2f34b81f25c46dbe1c71d7ba44479ef13ca61aab7ee35469c04a3ce8aba63b6caa10cdca251c87572c5b8cf
 DIST curtail-1.14.0.gh.tar.gz 245376 BLAKE2B 
742939a0b039e92138d70f6f0cc2d724033269925e18dddb079d0c39d260d9b1195030e9f29fe381d2db1cefd8c603ed6b45efb098c5e83cc5fe21aa54cd4118
 SHA512 
b34925e54d3f9a9577df1f999c13e847330aa67d46fcdd352c1663db894aa178145904fad87b8a386fe25409d3ed02f624491e288db0b84b4cb97805e4b1ad96
+DIST curtail-1.15.0.gh.tar.gz 234415 BLAKE2B 
9e5e28cc295004711fd4169bd6dd4455ab088cc1387e5f926dee46f8ac2375afc39a7e481344b23b9c3a58987fcc30e30616a555d3c93ec97133956ab2f44861
 SHA512 
304ba2235366d78f3a39c043fde10759822771404af6403276b2d23f340619e5d1c4ea8a1e7cbcf121967cd16b8e362d87a79f3d9c66afae8d6f17ecfe03ac26

diff --git a/media-gfx/curtail/curtail-1.15.0.ebuild 
b/media-gfx/curtail/curtail-1.15.0.ebuild
new file mode 100644
index 000000000000..b242e9e48dd2
--- /dev/null
+++ b/media-gfx/curtail/curtail-1.15.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
+HOMEPAGE="https://github.com/Huluti/Curtail/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/Huluti/${PN^}";
+else
+       SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+       S="${WORKDIR}/${P^}"
+
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"     # Just desktop / schema / appstream file validation, fails.
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       gui-libs/gtk:4[introspection]
+       $(python_gen_cond_dep '
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+       ')
+"
+BDEPEND="
+       ${RDEPEND}
+       dev-libs/appstream-glib
+       dev-util/desktop-file-utils
+"
+RDEPEND+="
+       >=gui-libs/libadwaita-1.3.1
+       media-gfx/jpegoptim
+       media-gfx/oxipng
+       media-gfx/pngquant
+       media-libs/libwebp
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+       sed -i "s|@PYTHON@|${PYTHON}|" "${S}/src/${PN}.in" || die
+
+       default
+}
+
+src_install() {
+       meson_src_install
+       python_optimize
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to